App\Library\Amazon\Classes\BeautyMisc\VariationDataAType:
    properties:
        parentage:
            expose: true
            access_type: public_method
            serialized_name: Parentage
            accessor:
                getter: getParentage
                setter: setParentage
            type: string
        variationTheme:
            expose: true
            access_type: public_method
            serialized_name: VariationTheme
            accessor:
                getter: getVariationTheme
                setter: setVariationTheme
            type: string
        size:
            expose: true
            access_type: public_method
            serialized_name: Size
            accessor:
                getter: getSize
                setter: setSize
            type: string
        color:
            expose: true
            access_type: public_method
            serialized_name: Color
            accessor:
                getter: getColor
                setter: setColor
            type: string
        colorMap:
            expose: true
            access_type: public_method
            serialized_name: ColorMap
            accessor:
                getter: getColorMap
                setter: setColorMap
            type: string
        scent:
            expose: true
            access_type: public_method
            serialized_name: Scent
            accessor:
                getter: getScent
                setter: setScent
            type: string
        capacity:
            expose: true
            access_type: public_method
            serialized_name: Capacity
            accessor:
                getter: getCapacity
                setter: setCapacity
            type: App\Library\Amazon\Classes\VolumeDimensionType
